#ifndef POWER_MANAG_USER_H__
#define POWER_MANAG_USER_H__
#include "PowerManag.h"
extern void PoMa_Init_Example(PoMa_uint8_t u8ResetSource);


extern void PoMa_Sleep_Delay_Time_Handle(void);
extern void PoMa_Sleep_Delay_Time_Clean(void);
extern void PoMa_Delay(PoMa_uint16_t u16DelayMs);

#define SYS_OPR_STAT_RUN ((PoMa_Get_Voltage_Status() == POMA_VOLTAGE_NORMAL))
#define SYS_OPR_STAT_HALT ((PoMa_Get_Voltage_Status() != POMA_VOLTAGE_NORMAL))

#define SYS_OPR_STAT_IGN_ON (PoMa_Get_IG_Status() == POMA_IG_ON)
#define SYS_OPR_STAT_IGN_OFF (PoMa_Get_IG_Status() == POMA_IG_OFF)

extern PoMa_uint16_t PoMa_Read_KL15_Line(void);
#endif
